#!/bin/sh

batstatfile=/proc/acpi/battery/BAT0/state
acstatfile=/proc/acpi/ac_adapter/AC/state
governor=/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

state=`cat $batstatfile | grep "capacity state:" | awk '{print $3}'`
cap=`cat $batstatfile | grep "remaining capacity:" | awk '{print $3}'`
acstate=`cat $acstatfile | grep "state:" | awk '{print $2}'`

/bin/echo -e "AC adapter $acstate\nbattery state: $state. Remaining capacity $cap\n" | wall

#if [ "$acstate" = "on-line" ]; then
#   echo performance > $governor
#else
#   echo powersave > $governor
#fi

if [ "$state" = "critical" ]; then
   	echo "Battery level critical! SHUTDOWN in 50 seconds !!!" | wall
	sleep 20
   	echo "Battery level critical! SHUTDOWN in 30 seconds !!!" | wall
	sleep 10
   	echo "Battery level critical! SHUTDOWN in 20 seconds !!!" | wall
	sleep 10
   	echo "Battery level critical! SHUTDOWN in 10 seconds !!!" | wall
	sleep 10
	acstate=`cat /proc/acpi/ac_adapter/AC/state | grep "state:" | awk '{print $2}'`
	if [ "$acstate" = "on-line" ]; then
	   echo "Power restored! no shutdown" | wall
	else
	   echo "SHUTDOWN NOW!!!" | wall
	   /sbin/shutdown -h now
	fi
fi
